/*
Theme Name: OceanWP Child
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme example child theme.
Author: Nick
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/*  ----------------------------------- */

.oceanwp-sidr-overlay {
    z-index: 9999;
}

/* Abstände für full screen da im Customizer die eigenen Werte ignoriert werden */
body.content-full-screen #content-wrap {
	padding-top: 40px !important;
	padding-bottom: 60px !important;
}
.no-margins #main #content-wrap {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

/* Container Layout korrigieren !!! */
@media only screen and (min-width: 1301px) and (max-width: 1400px) {
	body.content-full-screen .elementor-section-wrap>.elementor-section.elementor-section-boxed>.elementor-container {
    	max-width: 94% !important;
	}
}
@media only screen and (min-width: 1201px) and (max-width: 1300px) {
	body.content-full-screen .elementor-section-wrap>.elementor-section.elementor-section-boxed>.elementor-container {
    	max-width: 95% !important;
	}
}
@media only screen and (min-width: 1141px) and (max-width: 1200px) {
	body.content-full-screen .elementor-section-wrap>.elementor-section.elementor-section-boxed>.elementor-container {
    	max-width: 95% !important;
	}
}
@media only screen and (min-width: 1025px) and (max-width: 1140px) {
	body.content-full-screen .elementor-section-wrap>.elementor-section.elementor-section-boxed>.elementor-container {
    	max-width: 95% !important;
	}
}
@media only screen and (min-width: 960px) and (max-width: 1024px) {
	body.content-full-screen .elementor-section-wrap>.elementor-section.elementor-section-boxed>.elementor-container {
    	max-width: 95% !important;
	}
}
@media only screen and (max-width: 959px) {
	body.content-full-screen .elementor-section-wrap>.elementor-section.elementor-section-boxed>.elementor-container {
    	max-width: inherit !important;
	}
}

/* Anker Sprungmarke Korrektur */
.elementor-menu-anchor {
top: -220px !important;
position: relative !important;
}

/* Text selection overwrite */
::selection {
    color: #2f2f2f;
    background: #B4D5FF;
}

/* Logo hover deaktivieren */
#site-logo #site-logo-inner a:hover img {
    -moz-opacity: 1;
    -webkit-opacity: 1;
    opacity: 1;
}

/* a focus Linie deaktivieren */
a:focus {
    outline: none;
}

/*  ----------------------------------- */
/* HEADER */
#site-header {
	-webkit-box-shadow: 0px 1px 10px 0px rgba(85,85,85,0.4);
	-moz-box-shadow: 0px 1px 10px 0px rgba(85,85,85,0.4);
	box-shadow: 0px 1px 10px 0px rgba(85,85,85,0.4);
	z-index: 1042 !important;
}


#site-header #medium-searchform {
	display: none;
}
/* Burger Menü aktiv Farbe */
.sidr-class-dropdown-menu li.sidr-class-current-menu-ancestor>a, .sidr-class-dropdown-menu li.sidr-class-current-menu-item>a {
	color: #4b5829;
	font-weight: 700;
}
#site-header.medium-header .oceanwp-mobile-menu-icon a {
    font-size: 15px;
}
/* Menu vertikal positionieren 
#site-navigation-wrap .dropdown-menu>li>a {
	line-height: 40px !important;
	margin-top: 50px;
}*/

/*  ----------------------------------- */
/* Mindesthöhe Header Bilder */
@media only screen and (max-width: 767px) {
	.background-image-page-header, .page-id-14 #main .elementor-element-81f1b3a {
    	min-height: 300px;
	}
}

/*  ----------------------------------- */
/* Page Title */
.page-header-title {
	font-family: 'Roboto';
}
.page-subheading {
	font-weight: 500 !important;
}

/* Links */
#main a {
	font-weight: 700;
}
#main a:hover {
	text-decoration: underline;
}

/* Buttons */
.elementor-button {
    background-color: #4b5829 !important;
    font-family: 'Roboto';
}
.elementor-button .elementor-button-text {
    font-size: 16px;
}
.elementor-button:hover, .elementor-button:focus {
    background-color: #6a8620 !important;
    text-decoration: none !important;
    color: #fff !important;
}

/* Buttons immer unten */
@media only screen and (min-width: 768px) {
	.uebersicht-boxen .elementor-widget-wrap {
    	padding-bottom: 5em !important;
	}
	.uebersicht-cta {
    	position: absolute !important;
    	bottom: 0;
	}
}
/* Uebersicht Boxen Textfarbe */
.uebersicht-boxen .elementor-text-editor p, .unterkunft_section .elementor-text-editor p, .uebersicht-boxen .elementor-text-editor, .unterkunft_section .elementor-text-editor {
	color: #444;
}
.uebersicht-boxen h3.elementor-heading-title, .unterkunft_section h3.elementor-heading-title {
	color: #d8a959;
}

/* Slider Pfeil */
.scroll-button a:hover, .scroll-button a:focus {
	text-decoration: none !important;
}

/* Elementor title widget */
@media only screen and (min-width: 768px) {
	h1.elementor-heading-title {
    	line-height: 1.4 !important;
	}
	h2.elementor-heading-title {
    	line-height: 1.4 !important;
	}
	h3.elementor-heading-title {
    	line-height: 1.4 !important;
	}
	h4.elementor-heading-title {
    	line-height: 1.4 !important;
	}
}
@media only screen and (max-width: 767px) {
	h1.elementor-heading-title {
    	line-height: 1.3 !important;
	}
	h2.elementor-heading-title {
    	line-height: 1.3 !important;
	}
	h3.elementor-heading-title {
    	line-height: 1.3 !important;
	}
	h4.elementor-heading-title {
    	line-height: 1.3 !important;
	}
}

/* H2 gross für Seiten mit Sidebar */
@media only screen and (max-width: 480px) {
	.h2-gross h2 {
		font-size: 30px;
		line-height: 1.2em;
	}
}
@media only screen and (min-width: 481px) {
	.h2-gross h2 {
		font-size: 40px;
		line-height: 1.4em;
	}
}

/* Text wie Ueberschrift */
.tw-ueberschrift {
	font-size: 28px;
	font-weight: 600;
	font-family: 'Roboto';
	color: #e7d7b5;
	margin: 0;
}
.tw-ueberschrift p {
	margin: 0;
	line-height: 1.4 !important;
}
/* icon Farbe */
.elementor-icon i {
    color: #e7d7b5;
}

/* Trenner fuer Freizeit */
@media only screen and (min-width: 960px) {
	.trenner-strich {
		display: none;
	}
}

/* Image Gallery Vollbild */
@media only screen and (min-width: 768px) and (max-width: 959px) {
	.elementor-image-gallery .gallery-columns-4 .gallery-item {
    	max-width: 50% !important;
	}
}
@media only screen and (min-width: 480px) and (max-width: 767px) {
	.elementor-image-gallery .gallery-columns-4 .gallery-item {
    	max-width: 100% !important;
	}
}

/* Sidebar */
.menu-sidebar-container a {
	font-size: 15px;
	color: #1a171b;
	font-family: 'Roboto';
}
.menu-sidebar-container a:hover {
	color: #e7d7b5;
}
.menu-sidebar-container .current-menu-item a {
	color: #e7d7b5;
}
.menu-sidebar-container li {
	padding: 2px 0;
}
.content-area {
    border-color: #4b5829;
}

/* Anpassung der Farbe und Größe für Bilderunterschriften */
.wp-caption-text {
color: #ffffff !important; 
font-size: 16px !important;
}

/* FOOTER */

/* Footer Widget Title verstecken */ 
#text-5 .widget-title {
visibility: hidden !important;
}

@media only screen and (max-width: 768px) {
	#text-5 {
margin-top:-80px !important;
}
}

.site-footer .widget_nav_menu li:first-child {
    padding: 0 0 4px;
    border-top: none;
}
.site-footer .widget_nav_menu li {
    padding: 4px 0;
    border-bottom: none;
}
.widget-title {
    border-width: 0;
    border-left-width: 0px;
    padding-left: 0;
}
.footer-button {
    background-color: #cbcfc1 !important;
    color: #4b5829 !important;
    margin-top: 20px;
    font-weight: 700;
}
.footer-button:hover, .footer-button:focus {
    background-color: #cbcfc1 !important;
    color: #4b5829 !important;
}
#footer ul li a {
	font-family: 'Roboto';
}

/* CF7 */
form.wpcf7-form {
    width: auto;
}
span.wpcf7-list-item {
    margin: 0 0.5em 0 0;
}
input[type="checkbox"] {
	margin: -3px 0 0;
}
/* CF7 Button */
.wpcf7-submit {
	text-transform: inherit !important;
	font-size: 15px !important;
	border-radius: 3px;
	font-weight: 700 !important;
	letter-spacing: inherit !important;
}

/* Formularfelder */
form input[type="text"], form input[type="password"], form input[type="email"], form input[type="url"], form input[type="date"], form input[type="month"], form input[type="time"], form input[type="datetime"], form input[type="datetime-local"], form input[type="week"], form input[type="number"], form input[type="search"], form input[type="tel"], form input[type="color"], form select, form textarea {
    color: #fff;
}
::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #fff;
}

/* Tabelle PREISE */
@media (max-width: 39.9375em) {
	.th-mobile-screen {
    	text-align: inherit;
    	width: 50%;
    	flex-basis: inherit !important;
	}
}
@media (max-width: 39.9375em) {
	.td-content {
    	justify-content: inherit;
    	line-height: 1.4em;
    	padding: 8px 0px 8px 5px;
    	align-items: normal !important;
	}
}

/* ********************* */
/* Cookie Banner Complianz | GDPR */
.cc-link {
	padding: 0 !important;
}
.cc-revoke, .cc-window {
    font-size: 14px !important;
    line-height: 1.3em !important;
}
/* Cookie Richtlinie Seite */
#cmplz-document {
    max-width: inherit;
}
#cmplz-document .cmplz-subtitle {
    font-weight: bold;
    margin-top: 25px;
}
#cmplz-document i {
	font-style: italic;
}
.cmplz-status-denied, .cmplz-status-accepted {
	display:none;
}
/* Cookie Richtlinie Tabelle */
#cmplz-document table td {
    text-align: left;
    width: 33.33%;
    word-break: break-word;
}
#cmplz-document table {
	border: none;
	margin-bottom: 0;
}
#cmplz-document tr:first-child td {
    border-top-style: solid;
    border-top-width: 1px;
}
#cmplz-document tr td:first-child {
    border-left-style: solid;
    border-left-width: 1px;
}
#cmplz-document td {
	font-size: 14px;
    padding: 9px 12px;
	border-top-style: none;
    border-right-style: solid;
    border-bottom-style: solid;
    border-left-style: none;
	border-top-width: initial;
    border-right-width: 1px;
    border-bottom-width: 1px;
    border-left-width: initial;
    border-color: #e1e1e1;
}
/* Hinweis */
.cmplz-status-denied, .cmplz-status-accepted {
	font-style: italic;
	margin-left: 20px;
}

/* Button Cookie Richtlinie */
.cc-revoke-custom {
    background-color: #4b5829 !important;
    color: #fff;
    font-weight: 700;
	font-size: 16px;
    padding: 15px 30px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    border: none;
    margin-top: 20px;
    font-family: 'Roboto';
}
.cc-revoke-custom span {
    line-height: 1.2;
}
.cc-revoke-custom:hover, .cc-revoke-custom:focus {
    background-color: #6a8620 !important;
    text-decoration: none !important;
}
